# Misc
execute as @a run scoreboard players add total_playtime cc_stats 1
effect clear @a[nbt={OnGround:1b}] slow_falling
kill @e[type=ender_pearl]
effect give @e[type=villager] invisibility 100000 100 true
effect give @a saturation infinite 100 true

# Player handling
execute if score inRace stats matches 0 as @a[tag=!registered] at @s run function chop:player_handling/join_lobby
execute if score inRace stats matches 0 as @a[scores={leave=1..}] at @s run function chop:player_handling/join_lobby
execute as @a[gamemode=spectator,scores={yPos=..70}] at @s run tp @s ~ ~10 ~

# Falling in void
execute as @a at @s store result score @s yPos run data get entity @s Pos[1]

# Gamemodes
execute if score mode stats matches 0 run function chop:freeplay_loop


# Information

function chop:lobby/options/information

# endRace cooldown timer
execute if score $endRace timer matches 1.. run scoreboard players remove $endRace timer 1

#spectators
execute as @a[gamemode=spectator] at @s if score @s yPos matches ..93 run teleport @s ~ ~2 ~

#add tag finish_line to people who completed the run
scoreboard players remove @a[scores={lobbyTP=1..}] lobbyTP 1
execute as @a[scores={lobbyTP=1}] at @s run function chop:freeplay/finish_reset

#nether loop
function chop:freeplay/nether

#tip messages
scoreboard players add @a tip 0
scoreboard players add @a[scores={tip=..1800}] tip 1

execute as @a if score @s tip matches 50 run tellraw @s ["",{"text":"TIP:","bold":true,"color":"yellow"},"\n",{"text":"Jump on the levels to begin!","color":"white"}]
execute as @a if score @s tip matches 50 at @s run playsound entity.chicken.egg master @s ~ ~ ~ 10 0.9

execute as @a if score @s tip matches 500 run tellraw @s ["","\n",{"text":"TIP:","bold":true,"color":"yellow"},"\n",{"text":"You can unlock the secret level by finding the 4 digits scattered around the levels","color":"white"}]
execute as @a if score @s tip matches 500 at @s run playsound entity.chicken.egg master @s ~ ~ ~ 10 0.9

execute as @a if score @s tip matches 1000 run tellraw @s ["","\n",{"text":"TIP:","bold":true,"color":"yellow"},"\n",{"text":"Every level you complete unlocks the original version of that level from the Biome Run Remix competition! ","color":"white"}]
execute as @a if score @s tip matches 1000 at @s run playsound entity.chicken.egg master @s ~ ~ ~ 10 0.9

execute as @a if score @s tip matches 1700 run tellraw @s ["","\n",{"text":"TIP:","bold":true,"color":"yellow"},"\n",{"text":"If you want to participate to events similar to Biome Run Remix, join the ","color":"white"},{"text":"discord","underlined":true,"color":"light_purple","clickEvent":{"action":"open_url","value":"https://discord.gg/j4kRYPn"},"hoverEvent":{"action":"show_text","contents":[{"text":"left-click","color":"dark_purple"}]}},{"text":"!","color":"white"}]
execute as @a if score @s tip matches 1700 at @s run playsound entity.chicken.egg master @s ~ ~ ~ 10 0.9

#secret level golden apple
execute positioned 4798 98 5001 as @a[gamemode=!spectator,distance=..3.5,nbt=!{Inventory:[{id:"minecraft:golden_apple"}]}] run function chop:util/gapple
particle dust{color:[1.000,0.737,0.122],scale:1} 4798 99 5001 0.3 0.3 0.3 0.3 1 normal @a
kill @e[type=item,nbt={Item:{id:"minecraft:golden_apple"}}]

#resistance effect at secret level tower
effect give @a[x=4599,y=96,z=5009,dx=-21,dy=70,dz=-18] resistance 5 100 true






