# Falling in void
execute positioned 0 100 0 as @a[distance=..30,scores={yPos=..90}] at @s run function chop:lobby/fall
execute as @a[tag=freeplay,scores={yPos=..88}] at @s run function chop:freeplay/fall

# Dying
execute as @e[type=player,scores={death=1..},tag=freeplay] run function chop:freeplay/die

# Start 
execute positioned 0 100 0 as @a[tag=!freeplay,distance=..30,scores={yPos=..99},gamemode=!spectator] at @s run function chop:freeplay/join_check
execute as @e[type=marker,tag=secret_lvl] at @s as @a[distance=..6,tag=!freeplay,gamemode=!spectator] at @s run function chop:freeplay/join_check

# Timer
execute as @a[tag=freeplay] run function chop:freeplay/timer

# Quitting
execute as @a[tag=freeplay,nbt=!{Inventory:[{id:"minecraft:ender_pearl"}]}] run function chop:freeplay/quit_item

# Finishing in Freeplay
execute as @a[tag=freeplay,tag=finish_line] at @s run function chop:freeplay/finish

# Give finish tag for each level

#bamboo
execute positioned -148 96 152 if block ~ ~ ~ stone_button[powered=true] run tag @p[distance=..4,gamemode=!spectator] add finish_line
execute positioned -148 96 152 if block ~ ~ ~ stone_button[powered=true] run setblock -148 96 152 stone_button[facing=east,face=floor]

#end
execute as @a[gamemode=!spectator,x=155,y=100,z=-159,dx=4,dy=-5,dz=4] run tag @s add finish_line

#ice
execute as @a[gamemode=!spectator,x=186,y=113,z=1,dx=2,dy=-1,dz=2] run tag @s add finish_line

#desert
execute as @a[gamemode=!spectator,x=-224,y=112,z=-1,dx=0,dy=2,dz=2] run tag @s add finish_line

#cherry
execute as @a[gamemode=!spectator,x=-159,y=101,z=-157,dx=0,dy=2,dz=0] run tag @s add finish_line
execute as @a[gamemode=!spectator,x=-158,y=101,z=-158,dx=0,dy=2,dz=0] run tag @s add finish_line
execute as @a[gamemode=!spectator,x=-157,y=101,z=-159,dx=0,dy=2,dz=0] run tag @s add finish_line

#ocean
execute as @a[gamemode=!spectator,x=-4,y=98,z=-221,dx=8,dy=3,dz=0] run tag @s add finish_line

#nether
execute as @a[gamemode=!spectator,x=-1,y=98,z=222,dx=2,dy=1,dz=0] run tag @s add finish_line

#deep dark
execute as @a[gamemode=!spectator,x=160,y=123,z=155,dx=0,dy=2,dz=0] run tag @s add finish_line
execute as @a[gamemode=!spectator,x=159,y=123,z=156,dx=0,dy=2,dz=0] run tag @s add finish_line
execute as @a[gamemode=!spectator,x=158,y=123,z=157,dx=0,dy=2,dz=0] run tag @s add finish_line
execute as @a[gamemode=!spectator,x=157,y=123,z=158,dx=0,dy=2,dz=0] run tag @s add finish_line
execute as @a[gamemode=!spectator,x=156,y=123,z=159,dx=0,dy=2,dz=0] run tag @s add finish_line
execute as @a[gamemode=!spectator,x=155,y=123,z=160,dx=0,dy=2,dz=0] run tag @s add finish_line

#quit item
execute as @a[tag=freeplay,nbt=!{Inventory:[{id:"minecraft:ender_pearl",Slot:8b}]}] run function chop:freeplay/exit
execute as @a[tag=freeplay,nbt=!{Inventory:[{id:"minecraft:potion",Slot:7b}]}] run kill @s
#kill items
kill @e[type=item,nbt={Item:{id:"minecraft:ender_pearl"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:potion"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:written_book"}}]

#checkpoint
execute as @a[tag=freeplay,gamemode=!spectator,scores={checkpoint=0}] at @s if block ~ ~-1 ~ emerald_block if block ~ ~ ~ light[level=2] run function chop:freeplay/checkpoint

#finish tag for original desert
execute as @a[gamemode=!spectator,x=9774,y=129,z=10003,dx=0,dy=1,dz=-6] run tag @s add finish_line

#finish tag for original end
execute as @a[gamemode=!spectator,x=10155,y=112,z=9845,dx=4,dy=-5,dz=-4] run tag @s add finish_line

#finish for secret level
execute positioned 4588 160 5000 if block ~ ~ ~ minecraft:light_weighted_pressure_plate[power=1] run tag @p[distance=..1,gamemode=!spectator] add finish_line

#clicking play original <right click> text display cooldown
scoreboard players remove @a[scores={original_cooldown=1..}] original_cooldown 1