#check for someone to have completed all advancements
execute as @a[advancements={sette:desert=true,sette:complete=true,sette:honey=true,sette:flower=true,sette:mountain=true,sette:nether=true,sette:ocean=true,sette:sky=true,sette:end=true,sette:biome_run=false},tag=!warp_access] at @s unless score trigger secret matches 1.. run function chop:secret/button
execute as @a[advancements={sette:desert=true,sette:complete=true,sette:honey=true,sette:flower=true,sette:mountain=true,sette:nether=true,sette:ocean=true,sette:sky=true,sette:end=true,sette:biome_run=false},tag=!warp_access] at @s run function chop:secret/reward


execute as @a[scores={secret_button=1..},tag=warp_access,tag=!biomerun3] at @s if entity @a[tag=warped] run playsound minecraft:block.amethyst_block.break master @s ~ ~ ~ 1000 0
execute as @a[scores={secret_button=1..},tag=warp_access,tag=!biomerun3] at @s if entity @a[tag=warped] run tellraw @s {"text":"Someone is already on the secret level","color":"red"}

execute as @a[scores={secret_button=1..},tag=!warp_access,tag=!biomerun3] at @s run playsound minecraft:block.amethyst_block.break master @s ~ ~ ~ 1000 0
execute as @a[scores={secret_button=1..},tag=!warp_access,tag=!biomerun3] at @s run tellraw @s {"text":"You still haven't completed some advancements!","color":"red"}

execute as @a[scores={secret_button=1..},tag=warp_access,tag=!biomerun3] at @s unless entity @a[tag=warped] run playsound minecraft:entity.enderman.teleport master @s ~ ~ ~ 15000 1.1
execute as @a[scores={secret_button=1..},tag=warp_access,tag=!biomerun3] at @s unless entity @a[tag=warped] if score mode stats matches 1 run function chop:lobby/options/gamemode
execute as @e[type=armor_stand,tag=secret] at @s unless entity @a[tag=warped] run teleport @a[scores={secret_button=1..},tag=warp_access,tag=!biomerun3] ~4 ~ ~ 90 ~
execute as @a[scores={secret_button=1..},tag=warp_access,tag=!biomerun3] at @s unless entity @a[tag=warped] run tag @s add warped

advancement revoke @a only sette:button2
scoreboard players reset * secret_button

#as secret armor_stand
execute as @e[type=armor_stand,tag=secret] at @s run particle enchant ~ ~0.25 ~ 0 0 0 0.2 1
execute as @e[type=armor_stand,tag=secret] at @s run fill ~4 ~-1 ~ ~4 ~-1 ~ shroomlight replace barrier
execute as @e[type=armor_stand,tag=secret] at @s run fill ~8 ~-1 ~ ~8 ~-1 ~ barrier replace shroomlight

#remove warped tag for joiners and people who go to lobby
tag @a[tag=warped,x=-2,y=100,z=-2,dx=4,dy=2,dz=4] remove warped

#tp back
execute as @a[tag=warped] at @s if score @s yPos matches ..95 run tag @s add tp_back
execute as @a[tag=tp_back] run playsound minecraft:entity.enderman.teleport master @s ~ ~ ~ 15000 0.5
execute as @a[tag=tp_back] run tag @s remove warped
execute as @a[tag=tp_back] run tp @s 0 100 0
execute as @a[tag=tp_back] run tag @s remove tp_back

scoreboard players add jumps secret 0
execute as @e[type=armor_stand,tag=secret] at @s if entity @a[tag=warped,gamemode=!spectator,distance=..1] unless score jumps secret matches 100.. run function chop:secret/move
execute as @e[type=armor_stand,tag=secret] at @s if entity @a[tag=warped,gamemode=!spectator,distance=..1] if score jumps secret matches 100.. run scoreboard players set title secret 1
execute if score jumps secret matches 0..100 unless score title secret matches 1 run title @a[tag=warped] actionbar ["",{"text":"[","bold":true,"color":"gold"},{"score":{"name":"jumps","objective":"secret"},"bold":true,"color":"gold"},{"text":"/100]","bold":true,"color":"gold"}]

#music
execute as @a[tag=warped,x=-10714,y=101,z=-10003,dx=0,dy=5,dz=6,tag=!music] positioned -10758 209 -10000 run playsound music_disc.far master @s ~ ~ ~ 1000 1
execute as @a[tag=warped,x=-10714,y=101,z=-10003,dx=0,dy=5,dz=6] run tag @s add music

#effects
effect give @a[tag=warped] resistance 1 100 true
effect give @a[tag=warped] instant_health 1 100 true
effect give @a[tag=warped,x=-10742,y=101,z=-10002,dx=4,dy=107,dz=4] levitation 1 0 true
effect clear @a[tag=warped] speed

#Begin Credits Scene
execute if block -10758 210 -10000 stone_button[powered=true] as @a[tag=warped] run scoreboard players set $credits secret 1
execute if score $credits secret matches 1.. run function chop:secret/credits

execute as @a[tag=biomerun3_title] if score @s secret matches 1.. run function chop:secret/completion

#add timer
scoreboard players add @a ticks_2 1
execute as @a if score @s ticks_2 matches 20 run scoreboard players add @s seconds_2 1
execute as @a if score @s ticks_2 matches 20 run scoreboard players set @s ticks_2 0
execute as @a if score @s seconds_2 matches 60 run scoreboard players add @s minutes_2 1
execute as @a if score @s seconds_2 matches 60 run scoreboard players set @s seconds_2 0
execute as @a if score @s minutes_2 matches 60 run scoreboard players add @s hours_2 1
execute as @a if score @s minutes_2 matches 60 run scoreboard players set @s minutes_2 0

#trigger enabling
scoreboard players enable @a[tag=biomerun3] invisEffect
scoreboard players enable @a[tag=biomerun3] jumpEffect
scoreboard players enable @a[tag=biomerun3] clearEffect
execute as @a[tag=biomerun3] at @s if score @s invisEffect matches 1.. run effect give @s invisibility 100 1 true
execute as @a[tag=biomerun3] at @s if score @s jumpEffect matches 1.. run effect give @s jump_boost 100 3 true
execute as @a[tag=biomerun3] at @s if score @s clearEffect matches 1.. run effect clear @s invisibility
execute as @a[tag=biomerun3] at @s if score @s clearEffect matches 1.. run effect clear @s jump_boost
execute as @a at @s if score @s invisEffect matches 1.. run scoreboard players reset @s invisEffect
execute as @a at @s if score @s jumpEffect matches 1.. run scoreboard players reset @s jumpEffect
execute as @a at @s if score @s clearEffect matches 1.. run scoreboard players reset @s clearEffect

#fixes
scoreboard players add @a hours_2 0
scoreboard players add @a minutes_2 0
#buttonfix
execute if score trigger secret matches 1 run clone 0 96 0 0 96 0 0 100 0